## aegis-crypto 1.1.5maemo0

=== debian/changelog ===
aegis-crypto (1.1.5maemo0) unstable; urgency=low
  * Initial port for Fremantle
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Thu, 14 Jun 2012 17:58:48 +0200

aegis-crypto (1.1.5) unstable; urgency=low

  Allow opening and recovering files which pass header integrity check
  but are missing data.
  * Fixes: NB#299280 - Facebook client stopped to work after SSU

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Tue, 13 Mar 2012 18:57:08 +0200

aegis-crypto (1.1.4) unstable; urgency=low

  Fixed verification of signed files with no content.
  * Fixes: NB#292777 - Aegisfs signed mount points are vulnerable

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Thu, 19 Jan 2012 11:09:46 +0200

aegis-crypto (1.1.3) unstable; urgency=low

  Proper handling of disk full case SIGBUS.
  * Fixes: NB#294275 - Accounts password asked when disk full

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Wed, 04 Jan 2012 14:25:22 +0200

aegis-crypto (1.1.2) unstable; urgency=low

  TCB signing fixes.
  * Fixes: NB#292929 - Reference hashlist corrupted

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Thu, 08 Dec 2011 09:25:13 +0200

aegis-crypto (1.1.1) unstable; urgency=low

  Moved encrypted files to the home partition by default.
  * Fixes: NB#266824 - Passwords are asked after reflashing
  Also added support for stores that know an alternative
  storage location.

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Wed, 02 Nov 2011 18:41:31 +0200

aegis-crypto (1.1.0) unstable; urgency=low

  Implements new concurrency manager for protected stores
  that uses shared memory in stead of notifications.
  Store storage index files by saving to a temporary filename
  and then renaming rather then by overwriting.
  * Fixes: NB#269898 - Interrupted installation leads to signing errors
  * Fixes: NB#281577 - Crypto-api tests are unstable
  Also fixes untagged 283420 - ssu failure when roots full

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Thu, 20 Oct 2011 14:17:40 +0300

aegis-crypto (1.0.4) unstable; urgency=low

  The same as 1.0.2 and 1.0.3 with a different bug number
  * Fixes: NB#277650 - aegis-enabler does not provide for resource 'tcb-sign'

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Tue, 11 Oct 2011 14:10:28 +0300

aegis-crypto (1.0.1) unstable; urgency=low

  Made the dependency to aegis-enabler conditional
  Aegis-enabler is only available in armel configs so
  made the runtime dependency from libaegis-crypto1
  conditional.
  * Fixes: NB#277214 - Package aegis-enabler has no installation candidate

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Fri, 12 Aug 2011 16:17:36 +0300

aegis-crypto (1.0.0) unstable; urgency=low

  The Asia sales release. Closes the door of illegal
  modifying of the files protected by /etc/aegis_vdata by
  enforcing the check against the SW certificate. Also added
  automatic local signing at check time if the caller has tcb
  and in the postinstall script to handle updates.
  * Fixes: NB#262043 - Final security hardening for storage

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Thu, 11 Aug 2011 15:36:52 +0300

aegis-crypto (0.4.7) unstable; urgency=low

  Added CAP::fowner for the clear user data script
  * Fixes: NB#266684 - Encrypted user data wasn't cleared

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Mon, 27 Jun 2011 13:57:10 +0300

aegis-crypto (0.4.6) unstable; urgency=low

  Added the clear user data script
  * Fixes: NB#266684 - Encrypted user data wasn't cleared

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Wed, 22 Jun 2011 15:34:04 +0300

aegis-crypto (0.4.5) unstable; urgency=low

  Allow use of undefined tokens for signing in an BB5-emulated
  environment
  * Fixes: NB#261230 - Aegisfs fails to install on scratchbox/x86

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Wed, 01 Jun 2011 15:30:20 +0300

aegis-crypto (0.4.4) unstable; urgency=low

  Added the hash_of_file function for aegisfs. Fixed the iterator
  handling error in storage::remove_all_files. These changes are
  needed to fix
  * Fixes: NB#183100 - New mountpoints become effective only after restart

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Fri, 27 May 2011 14:39:52 +0300

aegis-crypto (0.4.3) unstable; urgency=low

  Upgraded the file encryption to XST-AES IEEE Std 1619-2007
  * Fixes: NB#251695 - Protected storage encryption should use a standard algorithm

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Fri, 13 May 2011 15:03:37 +0300

aegis-crypto (0.4.2) unstable; urgency=low

  Restore old map pointer in p_file::roundup if the new mapping
  cannot be made because of loss of memory so that the old mapping
  does not remain lingering
  * Fixes: NB#238847 - Runaway leftover mappings in AegisFS

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Thu, 28 Apr 2011 17:04:24 +0300

aegis-crypto (0.4.1) unstable; urgency=low

  Allow modifying an existing protected store in the build environment
  without identity.
  * Fixes: NB#245409 - npe-maemo0-test-cert breaks RD images

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Tue, 12 Apr 2011 09:49:09 +0300

aegis-crypto (0.4.0) unstable; urgency=low

  Implemented concurrency control by help of semaphores and
  inotifies. Also fixed the following bugs:
  * Fixes: NB#238847 - Runaway leftover mappings in AegisFS
  * Fixes: NB#238880 - Inconsistent directory entries after vmem full

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Fri, 08 Apr 2011 13:29:55 +0300

aegis-crypto (0.3.9) unstable; urgency=low

  If the decryption of the AES key in pe_file::p_open fails
  for whatever reason, the file was erroneously considered
  opened (m_omode != om_closed) which caused crashes when
  p_close was automatically called in the destructor.
  * Fixes: NB#239012 - COREWEB /usr/bin/sysuid - AES_encrypt
  * Fixes: NB#239373 - sysuid sigsegv
  * Fixes: NB#238360 - COREWEB /usr/bin/sysuid - sha1_block_data_order

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Thu, 24 Mar 2011 10:30:20 +0200


