=== debian/control ===
Source: aegis-crypto
Section: libs
Priority: extra
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Juhani Mäkelä <ext-juhani.3.makela@nokia.com>
Build-Depends: debhelper (>= 5), cdbs, automake, libtool, 
 fakeroot, pkg-config, doxygen, libssl-dev, libexpat1-dev,
 aegis-builder, libcreds2-dev, libbb5-dev [armel] | maemo-sdk-runtime, maemo-optify
Standards-Version: 3.8.0

Package: libaegis-crypto1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libcreds2
Description: Aegis security crypto library
 Basic crypto services for application. Chipset assisted signing, 
 verification, encryption and decryption of messages and protected
 storage for similar operations on files.

Package: libaegis-crypto-dbg
Section: libdevel
Architecture: any
Priority: extra
Depends: libaegis-crypto1 (= ${Source-Version})
Description: Debug symbols for the Aegis security crypto library
 Debug symbols for the Aegis security crypto library

Package: libaegis-crypto-dev
Section: libdevel
Architecture: any
Depends: libaegis-crypto1 (=${binary:Version}), libssl-dev, libexpat1-dev, 
 libcreds2-dev, libbb5-dev [armel]
Description: Development files for the Aegis security crypto library
 Development files for the Aegis security crypto library

Package: aegis-crypto-tools
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Aegis security crypto command line tools
 Aegis security crypto command line tools

Package: aegis-crypto-doc
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Aegis security crypto layer documentation
 Aegis security crypto layer documentation. Consists of
 the Doxygen generated API manual.
