## aegis-crypto 1.1.5maemo1

=== debian/changelog ===
aegis-crypto (1.1.5maemo1) unstable; urgency=low
  - Removed libbb5-dev from depends, this seems to be unnecessary.
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Sat, 30 Jun 2012 12:12:50 +0200
