=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Juhani Mäkelä <ext-juhani.3.makela@nokia.com>
 Build-Depends: debhelper (>= 5), cdbs, automake, libtool, 
  fakeroot, pkg-config, doxygen, libssl-dev, libexpat1-dev,
- aegis-builder, libcreds2-dev, libbb5-dev [armel] | maemo-sdk-runtime, maemo-optify
+ aegis-builder, libcreds2-dev, maemo-optify
 Standards-Version: 3.8.0
 
 Package: libaegis-crypto1
@@ -29,7 +29,7 @@
 Section: libdevel
 Architecture: any
 Depends: libaegis-crypto1 (=${binary:Version}), libssl-dev, libexpat1-dev, 
- libcreds2-dev, libbb5-dev [armel]
+ libcreds2-dev
 Description: Development files for the Aegis security crypto library
  Development files for the Aegis security crypto library
