## aegis-crypto 1.1.5maemo2

=== debian/changelog ===
aegis-crypto (1.1.5maemo2) unstable; urgency=low
  - Added bugtracker link
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Wed, 18 Jul 2012 14:43:10 +0200
