=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: extra
 Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
 XSBC-Original-Maintainer: Juhani Mäkelä <ext-juhani.3.makela@nokia.com>
+XSBC-Bugtracker: mailto:marmistrz@linux.pl
 Build-Depends: debhelper (>= 5), cdbs, automake, libtool, 
  fakeroot, pkg-config, doxygen, libssl-dev, libexpat1-dev,
  aegis-builder, libcreds2-dev, maemo-optify
