=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

CFLAGS = -Wall -fPIC -Werror
CXXFLAGS = -Wall -fPIC -DPIC

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
else
	CFLAGS += -O2
	CXXFLAGS += -O2
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g -DAEGIS_DEBUG_ENABLED
	CXXFLAGS += -g -DAEGIS_DEBUG_ENABLED
endif

ifneq (,$(findstring gcov,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -fprofile-arcs -ftest-coverage
	CXXFLAGS += -fprofile-arcs -ftest-coverage
	LDFLAGS += -fprofile-arcs -ftest-coverage
endif

INSTALL_TARGETS := $(foreach pkg,$(DEB_ALL_PACKAGES),install/$(pkg))
MAKEBUILDDIR_TARGETS := $(foreach pkg,$(DEB_ALL_PACKAGES),makebuilddir/$(pkg))
PACKAGE_TARGETS :=  $(foreach pkg,$(DEB_ALL_PACKAGES),binary/$(pkg))

# scratchbox currently supports only compat level 5, and
# got this rule file only working on compat 4. This uses
# "debian/*.files" and "dh_movefiles". On compat 7, this
# special target can be removed and package should use
# only "debian/*.install" files (no "debian/*.files"!).
$(INSTALL_TARGETS)::
	dh_movefiles -p$(notdir $@)

clean::
	-rm debian/configure-stamp

$(PACKAGE_TARGETS)::
	[ ! -f debian/$(notdir $@).aegis ] || aegis-deb-add -control debian/$(notdir $@)/DEBIAN/control .. debian/$(notdir $@).aegis=_aegis

$(MAKEBUILDDIR_TARGETS):: debian/configure-stamp

debian/configure-stamp:
	[ ! -f Makefile ] || $(MAKE) distclean
	autoreconf -i -f -s
	touch $@

override_dh_gencontrol:
	dh_gencontrol
	maemo-optify
